import React from "react";
import { Button, Divider, Tooltip } from "antd";
import {
  ApartmentOutlined,
  FileImageOutlined,
  SmileOutlined,
  StarOutlined,
  SwapOutlined,
  TagOutlined,
} from "@ant-design/icons";
import { useModel } from "umi";
export default function index() {
  const { rightToobarActive, setRgithtToolbarActive } =
    useModel("mindMapModel");

  return (
    <div className="absolute top-8px right-8px bg-white shadow-md boder-radius-4px flex flex-col p-8px">
      <Tooltip placement="bottom" title="样式">
        <Button
          type="text"
          icon={<SwapOutlined />}
          className={rightToobarActive === "style" ? "active" : ""}
          onClick={() => setRgithtToolbarActive("style")}
        />
      </Tooltip>
      <Tooltip placement="bottom" title="结构">
        <Button
          type="text"
          icon={<ApartmentOutlined />}
          className={rightToobarActive === "structure" ? "active" : ""}
          onClick={() => setRgithtToolbarActive("structure")}
        />
      </Tooltip>
      <Tooltip placement="bottom" title="风格">
        <Button
          type="text"
          icon={<StarOutlined />}
          className={rightToobarActive === "theme" ? "active" : ""}
          onClick={() => setRgithtToolbarActive("theme")}
        />
      </Tooltip>
      <Divider className="my-8px" />
      <Tooltip placement="bottom" title="图标">
        <Button
          type="text"
          icon={<SmileOutlined />}
          className={rightToobarActive === "icon" ? "active" : ""}
          onClick={() => setRgithtToolbarActive("icon")}
        />
      </Tooltip>
      <Tooltip placement="bottom" title="图片">
        <Button
          type="text"
          icon={<FileImageOutlined />}
          className={rightToobarActive === "image" ? "active" : ""}
          onClick={() => setRgithtToolbarActive("image")}
        />
      </Tooltip>
      <Tooltip placement="bottom" title="标签">
        <Button
          type="text"
          icon={<TagOutlined />}
          className={rightToobarActive === "tag" ? "active" : ""}
          onClick={() => setRgithtToolbarActive("tag")}
        />
      </Tooltip>
    </div>
  );
}
